## qtcurve 1.8.18+git20150711-a3fff13

=== debian/changelog ===
qtcurve (1.8.18+git20150711-a3fff13-5) unstable; urgency=medium

  * Update debian/control:
    - package libqtcurve-utils2 now Breaks and Replaces libqtcurve-utils1
      (>= 1.8.18+git20150711-a3fff13-1)
    - move gtk2-engines-qtcurve from Recommends to Suggests in package
      kde-style-qtcurve-qt4
    - move gtk2-engines-qtcurve and kde-style-qtcurve-qt4 from Recommends to
      Suggests in package kde-style-qtcurve-qt5
    - move kwin-decoration-oxygen and oxygen-icon-theme from Recommends to
      Suggests in metapackage qtcurve
  * Simplify debian/gtk2-engines-qtcurve.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Wed, 29 Jul 2015 01:24:17 +0300

qtcurve (1.8.18+git20150711-a3fff13-4) unstable; urgency=medium

  * Move package to unstable: no changes required.
  * This package replaces src:gtk2-engines-qtcurve and src:kde-style-qtcurve.

 -- Boris Pek <tehnick@debian.org>  Tue, 28 Jul 2015 08:56:32 +0300

qtcurve (1.8.18+git20150711-a3fff13-3) experimental; urgency=medium

  * Update debian/control:
    - rename package libqtcurve-utils1 to libqtcurve-utils2 for matching
      sonames
    - rename package kde-style-qtcurve to kde-style-qtcurve-qt4
    - package kde-style-qtcurve-qt4 now Provides, Replaces and Conflicts with
      package kde-style-qtcurve
    - package kde-style-qtcurve-qt4 now recommends kde-style-qtcurve-qt5
    - package gtk2-engines-qtcurve now recommends kde-style-qtcurve-qt4 and
      kde-style-qtcurve-qt5
    - package kde-style-qtcurve-qt5 now recommends gtk2-engines-qtcurve and
      kde-style-qtcurve-qt4

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 12:50:47 +0300

qtcurve (1.8.18+git20150711-a3fff13-2) experimental; urgency=medium

  * Update debian/control:
    - delete kwin-style-qtcurve from Recommends of package kde-style-qtcurve
    - move gtk2-engines-qtcurve from Suggests to Recommends of package
      kde-style-qtcurve
    - remove kwin-style-qtcurve from Depends of metapackage qtcurve

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 11:39:21 +0300

qtcurve (1.8.18+git20150711-a3fff13-1) experimental; urgency=medium

  * Upstream Git snapshot (1.8.18-242-ga3fff13) is taken from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Fixed in upstream:
    - gtk2-engines-qtcurve: inkscape 0.91 crashes after palette mouse-over
      (Closes: #786831)
    - gtk2-engines-qtcurve: massive memory leak in mysql-workbench
      (Closes: #682162)
  * Update debian/patches:
    - delete qt53-build-fix.diff (fixed in upstream)
    - add enable-translations.patch
  * Update debian/control:
    - bump Standards-Version to 3.9.6 (was 3.9.5): no changes required
    - update Build-Depends for transition from KDE4 to KF5:
      + delete dependencies from: kdebase-workspace-dev and qtdeclarative5-dev
      + add dependencies from: extra-cmake-modules, kio-dev,
        libkf5archive-dev, libkf5config-dev, libkf5configwidgets-dev,
        libkf5i18n-dev, libkf5kdelibs4support-dev, libkf5widgetsaddons-dev,
        libkf5xmlgui-dev, libqt5x11extras5-dev, libxcb1-dev, pkg-config
        [Thanks to Scarlett Clark]
    - delete package kwin-style-qtcurve: it is not available for KF5 yet
      (LP: #1452218)
    - package kde-style-qtcurve now provides package kde-style-qtcurve-qt4
    - package kde-style-qtcurve is "Multi-Arch: same" now
    - metapackage qtcurve now depends on kde-style-qtcurve-qt5 and recommends
      kwin-decoration-oxygen, oxygen-icon-theme and oxygencursors
  * Update debian/rules:
    - build using kf5 libraries instead of kde4
    - update configure flags
    - use xz compression in packages
  * Update debian/kde-style-qtcurve.install:
    there are no KDE4 related files anymore.
  * Update debian/kde-style-qtcurve-qt5.install.
  * Update debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Sun, 26 Jul 2015 04:17:05 +0300

qtcurve (1.8.18-3) experimental; urgency=medium

  * Add patch to fix build with QT 5.3. (Closes: #777128)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 08 Feb 2015 20:18:05 +0530

qtcurve (1.8.18-2) experimental; urgency=medium

  * Move Qt5 style into separate package kde-style-qtcurve-qt5.
  * Package qtcurve now recommends kde-style-qtcurve-qt5.
  * Update description of package qtcurve.

 -- Boris Pek <tehnick@debian.org>  Tue, 18 Mar 2014 13:49:00 +0400

qtcurve (1.8.18-1) experimental; urgency=medium

  * Initial release.  (Closes: #726767)

 -- Boris Pek <tehnick@debian.org>  Tue, 18 Mar 2014 00:22:08 +0400
