## qtcurve 1.8.18+git20160112

=== lib/CMakeLists.txt ===
add_subdirectory(utils)
add_subdirectory(cairo)
