=== qt5/style/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,11 @@
   qtc_qt5_dialog_error_hdr qtc_qt5_dialog_information_hdr
   qtc_qt5_dialog_warning_hdr)
 target_link_libraries(qtcurve-qt5 ${QTC_QT5_LINK_LIBS} qtcurve-utils)
+target_link_libraries(qtcurve-qt5
+    KF5::GuiAddons
+    KF5::IconThemes
+    KF5::KDELibs4Support
+)
 install(TARGETS qtcurve-qt5 LIBRARY DESTINATION ${QTCURVE_STYLE_DIR})
 
 if(QTC_QT5_ENABLE_KDE)
