## qtcurve 1.8.18+git20160112-0cd6aae

=== debian/changelog ===
qtcurve (1.8.18+git20160112-0cd6aae-1) unstable; urgency=medium

  * New upstream Git snapshot (1.8.18-246-g0cd6aae) from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 22 Jan 2016 01:11:26 +0300
