=== debian/control ===
Source: qtcurve
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Boris Pek <tehnick@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               kdelibs5-dev,
               kio-dev,
               libcairo2-dev,
               libgtk2.0-dev,
               libkf5archive-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5widgetsaddons-dev,
               libkf5xmlgui-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxcb1-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qtbase5-private-dev
Homepage: https://github.com/QtCurve/qtcurve
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qtcurve.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qtcurve.git
Standards-Version: 3.9.6

Package: gtk2-engines-qtcurve
Section: gnome
Architecture: any
Depends: ${misc:Depends},
         ${misc:Pre-Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: kde-style-qtcurve-qt4, kde-style-qtcurve-qt5
Multi-Arch: same
Description: QtCurve widget style for applications based on GTK+ 2.x
 This package contains the QtCurve theme engine for GTK+ 2.x.
 .
 This package is most useful when installed together with kde-style-qtcurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: kde-style-qtcurve-qt4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: kde-style-qtcurve
Replaces: kde-style-qtcurve
Conflicts: kde-style-qtcurve
Recommends: kde-style-qtcurve-qt5
Suggests: gtk2-engines-qtcurve
Multi-Arch: same
Description: QtCurve widget style for applications based on Qt 4.x
 This package contains the QtCurve widget style for Qt 4.x.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: kde-style-qtcurve-qt5
Architecture: any
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Suggests: gtk2-engines-qtcurve, kde-style-qtcurve-qt4
Multi-Arch: same
Description: QtCurve widget style for applications based on Qt 5.x
 This package contains the QtCurve widget style for Qt 5.x.
 .
 The corresponding GTK+ theme engine can be found in gtk2-engines-qtcurve
 package.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: qtcurve-l10n
Section: localization
Architecture: all
Depends: ${misc:Depends}
Provides: qtcurve-i18n
Replaces: qtcurve-i18n
Conflicts: qtcurve-i18n
Description: translation files for QtCurve
 This package contains translation files for QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: qtcurve
Section: metapackages
Architecture: any
Depends: gtk2-engines-qtcurve,
         kde-style-qtcurve-qt4,
         kde-style-qtcurve-qt5,
         qtcurve-l10n,
         ${misc:Depends}
Suggests: kwin-decoration-oxygen, oxygen-icon-theme
Description: unified widget styles for Qt and GTK+ applications (metapackage)
 This package installs all packages related with QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.

Package: libqtcurve-utils2
Architecture: any
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Replaces: libqtcurve-utils1 (>= 1.8.18+git20150711-a3fff13-1)
Breaks: libqtcurve-utils1 (>= 1.8.18+git20150711-a3fff13-1)
Multi-Arch: same
Description: common library for QtCurve
 This package contains common library for QtCurve.
 .
 QtCurve is a set of widget styles for Qt and GTK+ libraries. It provides a
 consistent look between KDE, GNOME and other applications based on these
 libraries, which is easy on the eyes and visually pleasing.
