=== gtk2/common/CMakeLists.txt ===
set(qtc_gtk_common_SRCS
  common.cpp
  config_file.cpp)
set(qtc_gtk_common_HDRS
  common.h
  config_file.h)
translate_add_sources(${qtc_gtk_common_SRCS} ${qtc_gtk_common_HDRS})
