## qtcurve 1.8.18+git20160320-3d8622c

=== debian/changelog ===
qtcurve (1.8.18+git20160320-3d8622c-5build4) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:00:40 -0500

qtcurve (1.8.18+git20160320-3d8622c-5build3) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:49:56 -0600

qtcurve (1.8.18+git20160320-3d8622c-5build2) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:22:03 -0500

qtcurve (1.8.18+git20160320-3d8622c-5build1) artful; urgency=medium

  * No-change rebuild against Qt 5.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 05 Aug 2017 00:36:14 -0500

qtcurve (1.8.18+git20160320-3d8622c-5) unstable; urgency=medium

  * Add patch replace-memcmp-with-strncmp. It fixes crash when using QtCurve
    widget style and Breeze preset. (Closes: #865765)
    [Thanks to Sergey Sharybin]

 -- Boris Pek <tehnick@debian.org>  Thu, 03 Aug 2017 15:47:38 +0300

qtcurve (1.8.18+git20160320-3d8622c-4) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with Qt 5.9. (Closes: #867576)

  [ Boris Pek ]
  * Update debian/control:
    - bump Standards-Version to 4.0.0 (was 3.9.8): no changes required
    - package qtcurve-l10n is "Multi-Arch: foreign" now
    - package qtcurve is "Multi-Arch: same" now
    - update project Homepage
  * Update debian/watch.
  * Update debian/copyright.
  * Fix debian/*.lintian-overrides.

 -- Boris Pek <tehnick@debian.org>  Thu, 20 Jul 2017 19:54:29 +0300

qtcurve (1.8.18+git20160320-3d8622c-3) unstable; urgency=medium

  * Add workaround-for-kwin-x11-crashes.patch. (Closes: #823674)

 -- Boris Pek <tehnick@debian.org>  Wed, 11 May 2016 23:52:03 +0300

qtcurve (1.8.18+git20160320-3d8622c-2) unstable; urgency=medium

  * Add fix-segfault-in-qt4-style-on-mouse-move-to-window-title.patch.

 -- Boris Pek <tehnick@debian.org>  Wed, 27 Apr 2016 15:56:27 +0300

qtcurve (1.8.18+git20160320-3d8622c-1) unstable; urgency=medium

  * New upstream Git snapshot (1.8.18-251-g3d8622c) from:
    http://quickgit.kde.org/?p=qtcurve.git
  * Localization files are taken from last stable release (1.8.18).
  * Fixed in upstream: fix build with libc6 >= 2.23.
    (Closes: #818838, LP: #1567791)
  * Update debian/control:
    - bump Standards-Version to 3.9.8 (was 3.9.6): no changes required
    - fix lintian notes vcs-field-uses-insecure-uri
  * Update debian/rules:
    - enable all hardening flags
    - delete override_dh_builddeb target

 -- Boris Pek <tehnick@debian.org>  Tue, 26 Apr 2016 00:18:18 +0300
