=== debian/control ===
--- 
+++ 
@@ -25,10 +25,10 @@
                pkg-kde-tools,
                qtbase5-dev,
                qtbase5-private-dev
-Homepage: https://github.com/QtCurve/qtcurve
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/qtcurve.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/qtcurve.git
-Standards-Version: 3.9.6
+Homepage: https://cgit.kde.org/qtcurve.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/qtcurve.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/qtcurve.git
+Standards-Version: 4.0.0
 
 Package: gtk2-engines-qtcurve
 Section: gnome
@@ -86,9 +86,7 @@
 Section: localization
 Architecture: all
 Depends: ${misc:Depends}
-Provides: qtcurve-i18n
-Replaces: qtcurve-i18n
-Conflicts: qtcurve-i18n
+Multi-Arch: foreign
 Description: translation files for QtCurve
  This package contains translation files for QtCurve.
  .
@@ -105,6 +103,7 @@
          qtcurve-l10n,
          ${misc:Depends}
 Suggests: kwin-decoration-oxygen, oxygen-icon-theme
+Multi-Arch: same
 Description: unified widget styles for Qt and GTK+ applications (metapackage)
  This package installs all packages related with QtCurve.
  .
