=== debian/watch ===
version=3
opts="downloadurlmangle=s|tag/\?h=(.*)|snapshot/$1\.tar\.gz|,filenamemangle=s|.*snapshot/(.*)|snapshot/qtcurve-$1\.tar\.gz|" \
    https://cgit.kde.org/qtcurve.git/refs/tags \
    /qtcurve.git/tag/\?h=([\d\.]+) \
        debian uupdate
